GNU bug report logs - #32326
Failing Tests on Fedora 28

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Michael Bowcutt <mbowcutt@HIDDEN>; merged with #32098, #32324; dated Tue, 31 Jul 2018 05:28:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 32098 32324 32326. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Merged 32324 32326. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 32326 <at> debbugs.gnu.org:


Received: (at 32326) by debbugs.gnu.org; 21 Aug 2018 21:33:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 21 17:33:27 2018
Received: from localhost ([127.0.0.1]:57105 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fsEHE-0005pU-90
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2018 17:33:27 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59742)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fsEHD-0005pF-7S
 for 32326 <at> debbugs.gnu.org; Tue, 21 Aug 2018 17:33:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fsEH6-0005wE-40
 for 32326 <at> debbugs.gnu.org; Tue, 21 Aug 2018 17:33:17 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:44696)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fsEH4-0005uy-HB; Tue, 21 Aug 2018 17:33:16 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=55066 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1fsEH4-0008Fj-8O; Tue, 21 Aug 2018 17:33:14 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Michael Bowcutt <mbowcutt@HIDDEN>
Subject: Re: bug#32326: Failing Tests on Fedora 28
References: <bc7d9a91c4ec4034945632b8fc236dd05a8ce63b.camel@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 4 Fructidor an 226 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 21 Aug 2018 23:33:13 +0200
In-Reply-To: <bc7d9a91c4ec4034945632b8fc236dd05a8ce63b.camel@HIDDEN>
 (Michael Bowcutt's message of "Mon, 30 Jul 2018 22:07:59 -0400")
Message-ID: <87y3czl812.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32326
Cc: 32326 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello,

Michael Bowcutt <mbowcutt@HIDDEN> skribis:

> After building guix 0.15.0 from git on Fedora 28, I've had 10 tests
> fail.
>
> My dependency versions are:
>
>    GNU Guile: 2.0.14
>    GNU libgcrypt: 1.8.3
>    GnuTLS: 3.6.3
>    Guile-SQLite3: 0.1.0
>    Guile-Git: 0.1.0
>    zlib: 1.2.11
>    GNU Make: 4.2.1
>
>    Guile-JSON: 1.0.1
>    Guile-SSH: 0.11.3
>    libbz2: 1.0.6
>
>    SQLite 3: 3.22.0
>    GCC g++: 8.1.1
>
> In all, the failing modules (accoring to the output of 'make check')
> are
>
>    hackage.scm
>    inferior.scm
>    pack.scm
>    lint.scm
>
> My test-suite.log
>
> https://gist.github.com/74f868731a211c0d408ed088b357b4ea.git

For posterity, the relevant bits are:

--8<---------------cut here---------------start------------->8---
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D
   GNU Guix 0.15.0.588-92eb7a-dirty: ./test-suite.log
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D

[...]

FAIL: tests/hackage
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

test-name: hackage->guix-package test 1
location: /home/mbowcutt/src/guix/tests/hackage.scm:191
source:
+ (test-assert
+   "hackage->guix-package test 1"
+   (eval-test-with-cabal test-cabal-1))
actual-value: #f
actual-error:
+ (match-error "match" "no matching pattern" ())
result: FAIL

[...]

test-name: open-inferior
location: /home/mbowcutt/src/guix/tests/inferior.scm:35
source:
+ (test-equal
+   "open-inferior"
+   '(42 #t)
+   (let ((inferior
+           (open-inferior
+             %top-builddir
+             #:command
+             "scripts/guix")))
+     (and (inferior? inferior)
+          (let ((a (inferior-eval '(apply * '(6 7)) inferior))
+                (b (inferior-eval
+                     '(@ (gnu packages base) coreutils)
+                     inferior)))
+            (close-inferior inferior)
+            (list a (inferior-object? b))))))
expected-value: (42 #t)
actual-value: #f
actual-error:
+ (wrong-type-arg
+   "setvbuf"
+   "Wrong type argument in position ~A (expecting ~A): ~S"
+   (1
+    "port that supports 'setvbuf'"
+    #<input-output: soft 55c366b48b60>)
+   (#<input-output: soft 55c366b48b60>))
result: FAIL

[...]

test-name: self-contained-tarball
location: /home/mbowcutt/src/guix/tests/pack.scm:55
source:
+ (test-assert
+   "self-contained-tarball"
+   (run-with-store
+     %store
+     (mlet* %store-monad
+            ((profile
+               (profile-derivation
+                 (packages->manifest (list %bootstrap-guile))
+                 #:hooks
+                 '()
+                 #:locales?
+                 #f))
+             (tarball
+               (self-contained-tarball
+                 "pack"
+                 profile
+                 #:symlinks
+                 '(("/bin/Guile" -> "bin/guile"))
+                 #:compressor
+                 %gzip-compressor
+                 #:archiver
+                 %tar-bootstrap))
+             (check (gexp->derivation
+                      "check-tarball"
+                      (gexp (let ((bin (string-append
+                                         "."
+                                         (ungexp profile)
+                                         "/bin")))
+                              (setenv
+                                "PATH"
+                                (string-append
+                                  (ungexp %tar-bootstrap)
+                                  "/bin"))
+                              (system* "tar" "xvf" (ungexp tarball))
+                              (mkdir (ungexp output))
+                              (exit (and (file-exists?
+                                           (string-append bin "/guile"))
+                                         (string=3D?
+                                           (string-append
+                                             (ungexp %bootstrap-guile)
+                                             "/bin")
+                                           (readlink bin))
+                                         (string=3D?
+                                           (string-append
+                                             ".."
+                                             (ungexp profile)
+                                             "/bin/guile")
+                                           (readlink "bin/Guile")))))))))
+            (built-derivations (list check)))
+     #:guile-for-build
+     (%guile-for-build)))
random seed for tests: 1532991357
@ build-started /home/mbowcutt/src/guix/test-tmp/store/wvsd38w2sryrr5k4h8ly=
dib6vm77k5zb-ld-wrapper-boot0-0.drv - x86_64-linux /home/mbowcutt/src/guix/=
test-tmp/var/log/guix/drvs/wv//sd38w2sryrr5k4h8lydib6vm77k5zb-ld-wrapper-bo=
ot0-0.drv.bz2

[...]

FAIL: tests/guix-lint
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

accepted connection from pid 23697, user mbowcutt
+ guix lint --version
guix lint (GNU Guix) 0.15.0.588-92eb7a-dirty
Copyright (C) 2018 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.htm=
l>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
+ module_dir=3Dt-guix-lint-23710
+ mkdir t-guix-lint-23710
+ trap 'rm -rf t-guix-lint-23710' EXIT
+ cat
+ GUIX_PACKAGE_PATH=3Dt-guix-lint-23710
+ export GUIX_PACKAGE_PATH
++ guix lint -c synopsis,description dummy
+ out=3D't-guix-lint-23710/foo.scm:10:17: dummy@42: sentences in descriptio=
n should be followed by two spaces; possible infraction at 13
t-guix-lint-23710/foo.scm:9:14: dummy@42: synopsis should start with an upp=
er-case letter or digit'
++ grep_warning 't-guix-lint-23710/foo.scm:10:17: dummy@42: sentences in de=
scription should be followed by two spaces; possible infraction at 13
t-guix-lint-23710/foo.scm:9:14: dummy@42: synopsis should start with an upp=
er-case letter or digit'
+++ echo 't-guix-lint-23710/foo.scm:10:17: dummy@42: sentences in descripti=
on should be followed by two spaces; possible infraction at 13
t-guix-lint-23710/foo.scm:9:14: dummy@42: synopsis should start with an upp=
er-case letter or digit'
+++ grep -E -c '(synopsis|description) should'
++ res=3D2
++ echo 2
+ '[' 2 -ne 3 ']'
+ false
+ rm -rf t-guix-lint-23710
./test-env: line 1: 23696 Terminated              "/home/mbowcutt/src/guix/=
pre-inst-env" "/home/mbowcutt/src/guix/guix-daemon" --disable-chroot --subs=
titute-urls=3D"$GUIX_BINARY_SUBSTITUTE_URL"
FAIL tests/guix-lint.sh (exit status: 1)
--8<---------------cut here---------------end--------------->8---

I fixed tests/inferior.scm in commit
a81b59b1bf99255cf78d736c3d2aa28eb1e9bbdf.

The other issues have to do with developer tools that you may not need
(yet! ;-)), and I=E2=80=99m tempted to ignore them since we will soon drop
support for Guile 2.0 (these test failures don=E2=80=99t show up on Guile 2=
.2.)

Thus I highly encourage you to upgrade to Guile 2.2.  I think Fedora has
a Guile 2.2 package, but otherwise you can install Guix from the binary
tarball, or simply get it by running =E2=80=9Cguix pull=E2=80=9D: that=E2=
=80=99ll give you
Guix-on-Guile-2.2 as ~/.config/guix/current/bin/guix.

Thanks for your report,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#32326; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Jul 2018 05:27:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 31 01:27:03 2018
Received: from localhost ([127.0.0.1]:35685 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fkNBX-00078s-11
	for submit <at> debbugs.gnu.org; Tue, 31 Jul 2018 01:27:03 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbowcutt@HIDDEN>) id 1fkK57-0000I6-Hd
 for submit <at> debbugs.gnu.org; Mon, 30 Jul 2018 22:08:13 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mbowcutt@HIDDEN>) id 1fkK51-0000sq-7w
 for submit <at> debbugs.gnu.org; Mon, 30 Jul 2018 22:08:08 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:46238)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mbowcutt@HIDDEN>) id 1fkK51-0000si-43
 for submit <at> debbugs.gnu.org; Mon, 30 Jul 2018 22:08:07 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34678)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mbowcutt@HIDDEN>) id 1fkK50-0004tk-58
 for bug-guix@HIDDEN; Mon, 30 Jul 2018 22:08:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mbowcutt@HIDDEN>) id 1fkK4x-0000ql-Hb
 for bug-guix@HIDDEN; Mon, 30 Jul 2018 22:08:06 -0400
Received: from mx1.riseup.net ([198.252.153.129]:49658)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mbowcutt@HIDDEN>) id 1fkK4x-0000q2-7x
 for bug-guix@HIDDEN; Mon, 30 Jul 2018 22:08:03 -0400
Received: from cotinga.riseup.net (cotinga-pn.riseup.net [10.0.1.164])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id B08401A207F
 for <bug-guix@HIDDEN>; Mon, 30 Jul 2018 19:08:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1533002881; bh=Hpsqjn4pAhSLT1a4JYIllRyHfGmBcsoA/HEh7ejLuf4=;
 h=Subject:From:To:Date:From;
 b=NGsZI630KqkY+ARB2/I20fADlvp1uECeCv0vlSlXdZQdmpB/Pcb8sBxwvTf3jkWLE
 cU2shFKsB6oA1J9M/IJ+XflNYYoHeFYKXQA8pHbhkKKqPlohafnmIdjYvyHwiE2Hrc
 0o95lqLu2ZVu0/iS1R9zIKVhTisi0MG9ZahRte8s=
X-Riseup-User-ID: FA287CB3115B7E69306139D793BE57A3577D2F9864B66D08173053F8A50C2F07
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by cotinga.riseup.net with ESMTPSA id 58AE66156F
 for <bug-guix@HIDDEN>; Mon, 30 Jul 2018 19:08:01 -0700 (PDT)
Message-ID: <bc7d9a91c4ec4034945632b8fc236dd05a8ce63b.camel@HIDDEN>
Subject: Failing Tests on Fedora 28
From: Michael Bowcutt <mbowcutt@HIDDEN>
To: bug-guix@HIDDEN
Date: Mon, 30 Jul 2018 22:07:59 -0400
Content-Type: text/plain; charset="UTF-8"
Mime-Version: 1.0
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 31 Jul 2018 01:27:02 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

After building guix 0.15.0 from git on Fedora 28, I've had 10 tests
fail.

My dependency versions are:

   GNU Guile: 2.0.14
   GNU libgcrypt: 1.8.3
   GnuTLS: 3.6.3
   Guile-SQLite3: 0.1.0
   Guile-Git: 0.1.0
   zlib: 1.2.11
   GNU Make: 4.2.1

   Guile-JSON: 1.0.1
   Guile-SSH: 0.11.3
   libbz2: 1.0.6

   SQLite 3: 3.22.0
   GCC g++: 8.1.1

In all, the failing modules (accoring to the output of 'make check')
are

   hackage.scm
   inferior.scm
   pack.scm
   lint.scm

My test-suite.log

https://gist.github.com/74f868731a211c0d408ed088b357b4ea.git





Acknowledgement sent to Michael Bowcutt <mbowcutt@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#32326; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 2 Sep 2018 14:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.